Bug 5328 - dbus 0.60 check has small typo
Summary: dbus 0.60 check has small typo
Status: RESOLVED FIXED
Alias: None
Product: avahi
Classification: Unclassified
Component: avahi-daemon (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Trent Lloyd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-13 12:48 UTC by Bob Kashani
Modified: 2006-01-09 17:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Bob Kashani 2005-12-13 12:48:31 UTC
--- avahi/avahi-daemon/dbus-protocol.c.orig     2005-12-12 17:41:45.000000000 -0800
+++ avahi/avahi-daemon/dbus-protocol.c  2005-12-12 17:42:31.000000000 -0800
@@ -1031,7 +1031,7 @@
     if (dbus_bus_request_name(
             server->bus,
             AVAHI_DBUS_NAME,
-#if (DBUS_VERSION_MAJOR == 0) && (DBUS_VERSION_MINOR >= 60)
+#if (DBUS_VERSION_MAJOR == 0) && (DBUS_VERSION_MINOR <= 60)
             DBUS_NAME_FLAG_DO_NOT_QUEUE,
 #else
             DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT,
Comment 1 Bob Kashani 2005-12-14 07:24:07 UTC
Actually, that should be "<" not "<=". :)
Comment 2 Priit Laes (irc: plaes) 2005-12-19 17:43:20 UTC
I assume, this also triggers this problem:

dbus-protocol.c: In function 'dbus_protocol_setup':
dbus-protocol.c:1032: error: 'DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT' undeclared
(first use in this function)
dbus-protocol.c:1032: error: (Each undeclared identifier is reported only once
dbus-protocol.c:1032: error: for each function it appears in.)
dbus-protocol.c:1042: warning: cast discards qualifiers from pointer target
typemake[2]: *** [avahi_daemon-dbus-protocol.o] Error 1
Comment 3 Bob Kashani 2005-12-20 07:08:05 UTC
Yes, that is the problem that it triggers.
Comment 4 Lennart Poettering 2006-01-10 09:17:21 UTC
Mhmm? 

Is the patch you're suggesting reversed or obsolete or something?
DBUS_NAME_FLAG_DO_NOT_QUEUE is the new flag in 0.60, and
DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT is the old one. Hence the current code looks
fine.

If I missed something, feel free to reopen it!
Comment 5 Bob Kashani 2006-01-10 12:34:42 UTC
The patch was against 0.6.1. :) It's obviously been fixed now.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.